> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockscout.com/llms.txt
> Use this file to discover all available pages before exploring further.

# get blocks validated by address

> **Deprecation Notice:** Per instance endpoints will be deprecated soon in favor of PRO API endpoints. Please see the [PRO API reference page](https://docs.blockscout.com/devs/pro-api-responses-and-routes) for information.



## OpenAPI

````yaml /openapi-specs/openapi-deprecation.yaml get /addresses/{address_hash}/blocks-validated
openapi: 3.0.0
info:
  description: API for BlockScout web app
  version: 1.0.0
  title: BlockScout API
  contact:
    email: support@blockscout.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://eth.blockscout.com/api/v2/
    description: Ethereum mainnet
  - url: https://optimism.blockscout.com/api/v2/
    description: Optimism mainnet
  - url: https://base.blockscout.com/api/v2/
    description: Base mainnet
  - url: https://eth-sepolia.blockscout.com/api/v2/
    description: Ethereum testnet
security: []
tags:
  - name: default
  - name: CelestiaService
paths:
  /addresses/{address_hash}/blocks-validated:
    get:
      summary: get blocks validated by address
      description: >-
        **Deprecation Notice:** Per instance endpoints will be deprecated soon
        in favor of PRO API endpoints. Please see the [PRO API reference
        page](https://docs.blockscout.com/devs/pro-api-responses-and-routes) for
        information.
      operationId: get_address_blocks_validated
      parameters:
        - $ref: '#/components/parameters/addressHash'
      responses:
        '200':
          description: address
          content:
            application/json:
              schema:
                type: object
                required:
                  - items
                  - next_page_params
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/Block'
                  next_page_params:
                    type: object
                    example:
                      block_number: 27736955
                      items_count: 50
        '400':
          description: bad input parameter
components:
  parameters:
    addressHash:
      name: address_hash
      in: path
      description: Address hash
      required: true
      schema:
        type: string
        pattern: ^0x([A-Fa-f0-9]{40})$
  schemas:
    Block:
      type: object
      required:
        - base_fee_per_gas
        - burnt_fees
        - burnt_fees_percentage
        - difficulty
        - extra_data
        - gas_limit
        - gas_target_percentage
        - gas_used
        - gas_used_percentage
        - hash
        - height
        - miner
        - nonce
        - parent_hash
        - priority_fee
        - rewards
        - size
        - state_root
        - timestamp
        - total_difficulty
        - transactions_count
        - transaction_fees
        - type
        - uncles_hashes
        - withdrawals_count
      properties:
        base_fee_per_gas:
          type: string
          example: '26618801760'
        burnt_fees:
          type: string
          example: '261263193229977120'
        burnt_fees_percentage:
          type: number
          example: 85.19028810863084
        difficulty:
          type: string
          example: '0'
        extra_data:
          type: string
          example: TODO
        gas_limit:
          type: string
          example: '30000000'
        gas_target_percentage:
          type: number
          example: -34.56675333333333
        gas_used:
          type: string
          example: '9814987'
        gas_used_percentage:
          type: number
          example: 32.71662333333333
        hash:
          type: string
          example: '0xf569ec751152b2f814001fc730f7797aa155e4bc3ba9cb6ba24bc2c8c9468c1a'
        height:
          type: integer
          example: 17615720
        miner:
          $ref: '#/components/schemas/AddressParam'
        nonce:
          type: string
          example: '0x0000000000000000'
        parent_hash:
          type: string
          example: '0xd464e02d81e2bdf6bc5fa9b8e33f0b564c464a82d821a3e56531f8636dc00dfa'
        priority_fee:
          type: string
          example: '45418705646601378'
        rewards:
          type: array
          items:
            $ref: '#/components/schemas/Reward'
        size:
          type: integer
          example: 49997
        state_root:
          type: string
          example: TODO
        timestamp:
          type: string
          example: '2023-07-03T20:09:59.000000Z'
        total_difficulty:
          type: string
          example: '58750003716598352816469'
        transactions_count:
          type: integer
          example: 120
        transaction_fees:
          type: string
          example: '306681898876578498'
        type:
          type: string
          example: block
        uncles_hashes:
          type: array
          items:
            type: string
            example: '0x1dcc4de8dec75d7aab85b567b6ccd41ad312451b948a7413f0a142fd40d49347'
        withdrawals_count:
          type: integer
          example: 16
    AddressParam:
      type: object
      required:
        - hash
        - implementation_name
        - is_contract
        - is_verified
        - name
        - private_tags
        - public_tags
        - watchlist_names
      properties:
        hash:
          type: string
          example: '0xEb533ee5687044E622C69c58B1B12329F56eD9ad'
        implementation_name:
          type: string
          example: implementationName
        name:
          type: string
          example: contractName
        ens_domain_name:
          type: string
          example: domain.eth
        metadata:
          type: object
          example:
            slug: tag_slug
            name: Tag name
            tagType: name
            ordinal: 0
            meta: {}
        is_contract:
          type: boolean
        private_tags:
          type: array
          items:
            $ref: '#/components/schemas/AddressTag'
        watchlist_names:
          type: array
          items:
            $ref: '#/components/schemas/WatchlistName'
        public_tags:
          type: array
          items:
            $ref: '#/components/schemas/AddressTag'
        is_verified:
          type: boolean
    Reward:
      type: object
      required:
        - reward
        - type
      properties:
        reward:
          type: integer
        type:
          type: string
          example: Miner Reward | Emission Reward | Chore Reward | Uncle Reward
    AddressTag:
      type: object
      required:
        - address_hash
        - display_name
        - label
      properties:
        address_hash:
          type: string
          example: '0xEb533ee5687044E622C69c58B1B12329F56eD9ad'
        display_name:
          type: string
          example: name to show
        label:
          type: string
          example: label
    WatchlistName:
      type: object
      required:
        - display_name
        - label
      properties:
        display_name:
          type: string
          example: name to show
        label:
          type: string
          example: label

````